<?

function dir_name($dir)
{

$dir=ereg_replace("(/){1,}","/",$dir);
$dir=ereg_replace("(^(/){1,})|((/){1,}$)","",$dir);

if (is_dir($dir))
{

if (is_file($dir.'/.dirname') && filesize($dir.'/.dirname')>0)
{
return esc(stripcslashes(htmlspecialchars(file_get_contents($dir.'/.dirname'))));
}
else
{


$dirname= ereg_replace('^.*/', NULL, $dir);
$dirname=esc(stripcslashes(htmlspecialchars($dirname)));
if (function_exists('iconv'))$dirname=iconv('windows-1251', 'utf-8', $dirname);

return $dirname;
}
}
}








?>